# Uses of Interface
org.opensaml.saml.metadata.resolver.filter.MetadataFilter

Packages that use MetadataFilter
Package
Description
org.opensaml.saml.metadata.resolver
Classes for SAML metadata resolution.
org.opensaml.saml.metadata.resolver.filter
Classes for SAML metadata filtering.
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.

## Uses of MetadataFilter in org.opensaml.saml.metadata.resolver

Methods in org.opensaml.saml.metadata.resolver that return MetadataFilter
Modifier and Type
Method
Description
`MetadataFilter`
ChainingMetadataResolver.`getMetadataFilter()`
Gets the metadata filter applied to the metadata.
`MetadataFilter`
MetadataResolver.`getMetadataFilter()`
Gets the metadata filter applied to the metadata.
Methods in org.opensaml.saml.metadata.resolver with parameters of type MetadataFilter
Modifier and Type
Method
Description
`void`
ChainingMetadataResolver.`setMetadataFilter(MetadataFilter newFilter)`
Sets the metadata filter applied to the metadata.
`void`
MetadataResolver.`setMetadataFilter(MetadataFilter newFilter)`
Sets the metadata filter applied to the metadata.

## Uses of MetadataFilter in org.opensaml.saml.metadata.resolver.filter

Classes in org.opensaml.saml.metadata.resolver.filter that implement MetadataFilter
Modifier and Type
Class
Description
`class`
`AbstractMetadataFilter`
Abstract base class for `MetadataFilter`.
`class`
`MetadataFilterChain`
A filter that allows the composition of `MetadataFilter`s.
Fields in org.opensaml.saml.metadata.resolver.filter with type parameters of type MetadataFilter
Modifier and Type
Field
Description
`private List<MetadataFilter>`
MetadataFilterChain.`filters`
Registered filters.
Methods in org.opensaml.saml.metadata.resolver.filter that return types with arguments of type MetadataFilter
Modifier and Type
Method
Description
`List<MetadataFilter>`
MetadataFilterChain.`getFilters()`
Get the list of `MetadataFilter`s that make up this chain.
Method parameters in org.opensaml.saml.metadata.resolver.filter with type arguments of type MetadataFilter
Modifier and Type
Method
Description
`void`
MetadataFilterChain.`setFilters(List<MetadataFilter> newFilters)`
Set the list of `MetadataFilter`s that make up this chain.

## Uses of MetadataFilter in org.opensaml.saml.metadata.resolver.filter.impl

Classes in org.opensaml.saml.metadata.resolver.filter.impl that implement MetadataFilter
Modifier and Type
Class
Description
`class`
`AlgorithmFilter`
A filter that adds algorithm extension content to entities in order to drive software behavior based on them.
`class`
`ByReferenceMetadataFilter`
A `MetadataFilter` that associates other filters with specific `MetadataResolver` instances by ID.
`class`
`EntityAttributesFilter`
A filter that adds `EntityAttributes` extension content to entities in order to drive software behavior based on them.
`class`
`EntityRoleFilter`
A filter that removes roles from an entity descriptor.
`class`
`NameIDFormatFilter`
A filter that adds `NameIDFormat` content to entities in order to drive software behavior based on them.
`class`
`NodeProcessingMetadataFilter`
An implementation of `MetadataFilter` which applies a `MetadataNodeProcessor` to each element node in the metadata document tree.
`class`
`PredicateFilter`
A filter that removes any `EntityDescriptor` that does or does not match a `Predicate`, thus an include or exclude policy.
`class`
`RequiredValidUntilFilter`
A metadata filter that requires the presence of a `validUntil` attribute on the root element of the metadata document.
`class`
`SchemaValidationFilter`
A metadata filter that schema validates an incoming metadata file.
`class`
`SignatureValidationFilter`
A metadata filter that validates XML signatures.
Fields in org.opensaml.saml.metadata.resolver.filter.impl with type parameters of type MetadataFilter
Modifier and Type
Field
Description
`private Map<String,MetadataFilter>`
ByReferenceMetadataFilter.`filterMap`
Map of resolver names to filters.
Method parameters in org.opensaml.saml.metadata.resolver.filter.impl with type arguments of type MetadataFilter
Modifier and Type
Method
Description
`void`
ByReferenceMetadataFilter.`setFilterMappings(Map<Object,MetadataFilter> map)`
Mapping of resolver names to filters to run.

## Uses of MetadataFilter in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl declared as MetadataFilter
Modifier and Type
Field
Description
`private MetadataFilter`
AbstractMetadataResolver.`mdFilter`
Filter applied to all metadata.
Methods in org.opensaml.saml.metadata.resolver.impl that return MetadataFilter
Modifier and Type
Method
Description
`MetadataFilter`
AbstractMetadataResolver.`getMetadataFilter()`
Gets the metadata filter applied to the metadata.
`MetadataFilter`
CompositeMetadataResolver.`getMetadataFilter()`
Gets the metadata filter applied to the metadata.
Methods in org.opensaml.saml.metadata.resolver.impl with parameters of type MetadataFilter
Modifier and Type
Method
Description
`void`
AbstractMetadataResolver.`setMetadataFilter(MetadataFilter newFilter)`
Sets the metadata filter applied to the metadata.
`void`
CompositeMetadataResolver.`setMetadataFilter(MetadataFilter newFilter)`
Sets the metadata filter applied to the metadata.